{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":499,"path":"api-reference/rest-apis/copy-assessments-api.md","title":"Copy Assessments API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Copy Assessments API\n\nThe Copy Assessments API provides an endpoint to create a copy of an assessment metric type or survey definition in the Assessment Metric Type \\[asmt\\_metric\\_type\\] table.\n\nThis API is included in the [Assessments and Surveys](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/assessments-surveys-landing-page.md) application, which is available by default.\n\nThe calling user must have the assessment\\_admin role.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Copy Assessments - POST /now/copy\\_assessments/copy\n\nCreates a copy of an assessment metric type or survey definition in the Assessment Metric Type \\[asmt\\_metric\\_type\\] table.\n\nAll associated questions \\(type\\), configurations, categories, metrics, domain separation rules, and role-based categories are copied. Assigned users, category users, instances, and trigger conditions are not copied.\n\n### URL format\n\nDefault URL: `/api/now/copy_assessments/copy`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysID\n\n</td><td>\n\nRequired. Sys\\_id of the assessment metric type or survey definition to copy.Table: Assessment Metric Type \\[asmt\\_metric\\_type\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json;charset=UTF-8**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the API request.Data type: Object\n\n```\n\"result\": {\n   \"name\": \"String\",\n   \"sysID\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td>\n\nName of the copy of the assessment metric type or survey definition. Copies are named using the format `Copy of <original name>`.Data type: String\n\n</td></tr><tr><td>\n\nresult.sysID\n\n</td><td>\n\nSys\\_id of the copy of the assessment metric type or survey definition.Table: Assessment Metric Type \\[asmt\\_metric\\_type\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example creates a copy of an assessment metric type.\n\n```\ncurl \"https://instance.service-now.com/api/now/copy_assessments/copy\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\\\"sysID\\\":\\\"d2fbde248f033300e7e16c7827bdee11\\\"}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"sysID\": \"19d54d2447f336d027d48b41516d43ee\",\n    \"name\": \"Copy of Assessment: Basic flow\"\n  }\n}\n```\n\n"}}